JSVC fails to start after kernel upgrade in response to CVE-2017-1000364
Description

after kernel upgrade jsvc fails with only Service killed by signal 11 being reported in

/var/log/dataone/index/d1-index-task-generator-jsvc.err

jsvc is used to run d1-processing, d1-index-task-generator and d1-index-task-processor

In summary:

* jsvc fails on kernel 3.13.0-121-generic

* svc runs ok on kernel 3.13.0-119-generic

Temporary solution by using older kernel:

/etc/default/grub

#GRUB_DEFAULT=0

GRUB_DEFAULT="Advanced options for Ubuntu>Ubuntu, with Linux 3.13.0-119-generic"

sudo update-grub

sudo reboot

History

#1 - 2017-06-27 16:52 - Dave Vieglais

- Assignee set to Dave Vieglais

#2 - 2017-06-27 17:31 - Dave Vieglais

Possible solution:

https://community.ubnt.com/t5/UniFi-Routing-Switching/IMPORTANT-Debian-Ubuntu-users-MUST-READ-Updated-06-21/td-p/1968251

JSVC_EXTRA_OPTS -Xss1280k

#3 - 2017-06-27 17:32 - Dave Vieglais

- Description updated

#4 - 2017-06-27 18:12 - Dave Vieglais

@Xss@ is the thread stack size. If it is too low, then StackOverflowError will happen since the stack required is greater than the limit. If it is set too

high however, then an OutOfMemoryError will result, since there is insufficient memory available for the number of threads being started.

The default value of @Xss@ is:

$ java -XX:+PrintFlagsFinal -version | grep ThreadStackSize

intx CompilerThreadStackSize                   = 0                                   {pd product}

intx ThreadStackSize                           = 1024                                {pd product}

intx VMThreadStackSize                         = 1024                                {pd product}

openjdk version "1.8.0_111"
https://community.ubnt.com/t5/UniFi-Routing-Switching/IMPORTANT-Debian-Ubuntu-users-MUST-READ-Updated-06-21/td-p/1968251


OpenJDK Runtime Environment (build 1.8.0_111-8u111-b14-3~14.04.1-b14)

OpenJDK 64-Bit Server VM (build 25.111-b14, mixed mode)

#5 - 2017-06-27 18:14 - Dave Vieglais

- % Done changed from 0 to 30

- Status changed from New to In Progress

#6 - 2017-06-27 18:26 - Dave Vieglais

Setting @-Xss1280k@ verified to work on cn-dev-unm-1

#7 - 2017-06-28 15:12 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
